We are Hiring EXTOL and Cleo Experts

We are Hiring EXTOL and Cleo Experts

13th April 2016

Hiring CLeo and EXTOL expert/experienced individuals

We are looking for experienced individuals familiar with EXTOL and Cleo packages.

EXTOL Business Integrator

  • Versions: 2.6, 3 and 4

EXTOL EDI Integrator

  • Version: 6.2 and higher

Cleo

  • Lexicom, VLTrader, and Clarify

For more information please visit, Cleo/EXTOL Job Opportunities


By: on